Bug 762779 - (GLUSTER-1047) Compilebench hangs nfs server
Compilebench hangs nfs server
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
nfs-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 06:48 EDT by Shehjar Tikoo
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NFs server hung log (31.92 KB, application/octet-stream)
2010-07-04 03:48 EDT, Shehjar Tikoo
no flags Details

  None (edit)
Description Shehjar Tikoo 2010-07-04 06:48:29 EDT
There is a particular pattern of NFS requests generated by compilebench that lead nfs translator into a deadlock on an inode lock. It happens on a simple posix configuration while running two compilebench instances from two separate nfs clients.

Following message is a sign of such a deadlock where writes do not proceed beyond the fh resolution stage:

[2010-06-21 07:55:46] D [nfs3-helpers.c:2274:nfs3_log_rw_call] nfs-nfsv3: XID: ae1a41d0, WRITE: args: FH: hashcount 4, xlid 0, gen 5485193550805074074, ino 36323483, offset: 0,  count: 65536, UNSTABLE
[2010-06-21 07:55:46] T [nfs3.c:1836:nfs3_write] nfs-nfsv3: FH to Volume: posix
[2010-06-21 07:55:46] T [nfs3-helpers.c:2899:nfs3_fh_resolve_inode] nfs-nfsv3: FH needs inode resolution
[2010-06-21 07:55:46] T [nfs3-helpers.c:2403:nfs3_fh_resolve_inode_done] nfs-nfsv3: FH inode resolved
[2010-06-21 07:55:46] T [nfs3-helpers.c:2113:nfs3_file_open_and_resume] nfs-nfsv3: Opening: /c2/native-0/Documentation/devices.txt

##########################################################
##### Hung for around 3mins, before killed ###############
##########################################################

[2010-06-21 07:58:38] W [glusterfsd.c:1009:cleanup_and_exit] glusterfs: shutting down


Complete log attached.
Comment 1 Anand Avati 2010-07-06 05:58:55 EDT
PATCH: http://patches.gluster.com/patch/3524 in master (nfs3: Fix race updating op queue on uncached fd open)
Comment 2 Shehjar Tikoo 2010-07-08 05:44:43 EDT
Regression test description added.
http://test.gluster.com/show_bug.cgi?id=78

Note You need to log in before you can comment on or make changes to this bug.